Retrieve a base food
Returns general food information and all available processing variants with their Big7 nutrition values. Legacy processing-specific IDs such as s123_00 remain supported and return detailed food information. Nutrient units are fixed per nutrient. See unit reference: https://newtrition-data.com/data-reference/units/
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”Food base ID or legacy processing-specific food ID
Header Parameters
Section titled “Header Parameters”Optional pseudonymous end-user context ID for future analytics and request correlation. Must not contain personal data.
Responses
Section titled “ Responses ”Base food with available processing variants
object
object
object
object
The output units are fixed per nutrient/output! See: https://newtrition-data.com/data-reference/units/
object
The output units are fixed per nutrient/output! See: https://newtrition-data.com/data-reference/units/
object
The output units are fixed per nutrient/output! See: https://newtrition-data.com/data-reference/units/
object
The output units are fixed per nutrient/output! See: https://newtrition-data.com/data-reference/units/
object
The output units are fixed per nutrient/output! See: https://newtrition-data.com/data-reference/units/
object
The output units are fixed per nutrient/output! See: https://newtrition-data.com/data-reference/units/
object
The output units are fixed per nutrient/output! See: https://newtrition-data.com/data-reference/units/
object
Example
{ "processed_variants": [ { "big7": { "carbohydrates": { "amount": 225.5, "label": "Proteine", "unit": "g" }, "energy": { "amount": 225.5, "label": "Proteine", "unit": "g" }, "fat": { "amount": 225.5, "label": "Proteine", "unit": "g" }, "protein": { "amount": 225.5, "label": "Proteine", "unit": "g" }, "salt": { "amount": 225.5, "label": "Proteine", "unit": "g" }, "saturated_fatty_acids": { "amount": 225.5, "label": "Proteine", "unit": "g" }, "sugar": { "amount": 225.5, "label": "Proteine", "unit": "g" } }, "processing": "raw" } ], "serving_sizes": [ { "amount": 120, "label": "Stück", "type": "piece", "unit": "g" } ], "standard_processing": "raw", "standard_serving_type": "package", "standard_unit": "g", "type": "generic_single_food"}Headers
Section titled “Headers”Maximum requests per minute
Requests remaining in current window
Unix timestamp when rate limit resets
Requests used in current window
ID is required
object
object
Examplegenerated
{ "error": { "code": "example", "details": "example", "message": "example" }}Unauthorized
object
object
Examplegenerated
{ "error": { "code": "example", "details": "example", "message": "example" }}Food not found or invalid ID
object
object
Examplegenerated
{ "error": { "code": "example", "details": "example", "message": "example" }}Rate limit exceeded
object
object
Examplegenerated
{ "error": { "code": "example", "details": "example", "message": "example" }}Headers
Section titled “Headers”Maximum requests per minute
Requests remaining in current window
Unix timestamp when rate limit resets
Requests used in current window
Seconds to wait before retrying
Internal Server Error
object
object
Examplegenerated
{ "error": { "code": "example", "details": "example", "message": "example" }}